Page MenuHomePhabricator

remove per-host sudo control from OSM
Closed, ResolvedPublic

Description

I want to remove the code that manages per-host sudo rules. So far there are exactly two projects using that feature:

  • wmt. John Lewis confirms that he doesn't care about the per-host controls.
  • integration. I'm waiting on a response from them before I proceed.

Event Timeline

Andrew created this task.Jun 9 2015, 7:03 PM
Andrew claimed this task.
Andrew raised the priority of this task from to Needs Triage.
Andrew updated the task description. (Show Details)
Andrew added a subscriber: Andrew.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2015, 7:03 PM

Change 217301 had a related patch set uploaded (by Alex Monk):
Remove code to specify sudoer host.

https://gerrit.wikimedia.org/r/217301

Change 217301 merged by jenkins-bot:
Remove code to specify sudoer host.

https://gerrit.wikimedia.org/r/217301

Change 217346 had a related patch set uploaded (by Andrew Bogott):
Remove code to specify sudoer host.

https://gerrit.wikimedia.org/r/217346

Change 217346 merged by jenkins-bot:
Remove code to specify sudoer host.

https://gerrit.wikimedia.org/r/217346

Is this done?

Andrew closed this task as Resolved.Jun 11 2015, 9:06 PM
Restricted Application added a subscriber: Mjbmr. · View Herald TranscriptJun 13 2015, 12:17 AM